Issue 118887 - [Regression]Regular expression [:digit:]* doesn't work in AOO 3.4 Rev. 1240872
Summary: [Regression]Regular expression [:digit:]* doesn't work in AOO 3.4 Rev. 1240872
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: 3.4.0 Beta (OOo)
Hardware: PC All
: P3 Major (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-08 03:23 UTC by Yan Ji
Modified: 2012-09-21 03:16 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Yan Ji 2012-02-08 03:23:29 UTC
1. New a Writer document
2. Input some content which contains numbers and word
3. Open Find & Replace dialog
4. Use regular expression [:digit:]* to find digital

Defect: Cannot find digital

Note: The problem cannot be reproduced in OOo 3.3
Comment 1 hdu@apache.org 2012-02-09 08:32:56 UTC
The expression [:digit:]* matches everywhere even when no digit is in sight. Better use [:digit:]+ so that at least one digit must be found.

Anyway, I committed revision 1242235 so that zero-length matches get ignored which is what Writer seems to expect.
Comment 2 Du Jing 2012-09-21 03:16:06 UTC
verified on the build AOO3.5_r1387482